import type { CoordType, LatLng, Point } from '@bdmap/base'; import type MapStatus from "../h/k"; import type WinRound from "../h/n/h1"; import type { ESatelliteLayerType, FontType, LineCapType, LineDirectionCross, LineJoinType, StrokeStyle, PolylineDottedLineType, AnimateDefine, ELineBloomType, CollisionBehavior, Located, TextureOption, UnitOption, SmoothType } from "../util/x/y"; import type Stroke from "../h/n/o"; import type ImageEntity from "../h/n/r"; import type { EventBundle } from "./d1"; import type BaseLayer from "../h/z/f1"; import type LocationLayer from "../h/z/b1"; import type CompassLayer from "../h/z/a1"; import type OverlayLayer from "../h/z/g1"; import image from '@ohos.multimedia.image'; import type InfoWindow from "../h/l/t"; import type LatLngBound from "../h/n/i1"; import type PopView from "../h/j1/k1"; import type TileLayer from "../h/z/x1"; export interface DeviceInfo { width: number; height: number; filesDir: string; cacheDir: string; densityDPI: number; mapViewId: string; dpiScale: number; }         export interface ImageOpt {   flipY?: boolean;   flipX?: boolean;   scaleDpi?: boolean; }   export type ColorNumber = number; interface PixelMap extends image.PixelMap { [propName: string | symbol]: any; }       export type ColorString = string;       export type NetURLString = string;       export type RawfileURLString = string;             export type ImageURLString = NetURLString | RawfileURLString;             export type ImageSourceType =   ImageURLString   | PixelMap;   export interface IXYZ { x: number; y: number; z?: number; }        export interface IGeoPoint {   lat: number;   lng: number;   z?: number; }   export interface IMapRoundOption { minX: number; minY: number; maxX: number; maxY: number; }         export interface IAnchor {   anchorx: number;   anchory: number; }         export interface IMapStatusOption {   center?: LatLng;   zoom?: number;   rotate?: number;   overlook?: number;   winRound?: WinRound;   geoRound?: LatLngBound;   ptOffset?: [ number, number ]; }         export interface IGestureOption {   rotate?: boolean;   move?: boolean;   overlooking?: boolean;   zoom?: boolean;   touchNearly?: number; }         export interface IShowOption {   satelliteMap?: ESatelliteLayerType;   indoorMap?: boolean;   trafficMap?: boolean; }         export interface IMapOption {         mapStatus?: MapStatus;         gestures?: IGestureOption;         shows?: IShowOption;           coordType?: CoordType; }         export interface IStrokeOption {         strokeWidth?: number;         color?: ColorString;           strokeStyle?: StrokeStyle;         strokeTexture?: ImageEntity;           textureOption?: TextureOption; }         export interface IOverlayOption {   alpha?: number;   visible?: boolean;   isClickable?: boolean;   zIndex?: number;   startLevel?: number;   endLevel?: number; }         export interface ICircleOption extends IOverlayOption {   center?: LatLng;   radius?: number;   radiusUnit?: UnitOption;   fillcolor?: ColorString;   stroke?: Stroke;   isGradientCircle?: boolean;   gradientColors?: Array<ColorString>;   gradientRadiusWeight?: number;   gradientColorWeight?: number; }         export interface IDotOption extends IOverlayOption {   center?: LatLng;   radius?: number;   color?: ColorString; }         export interface IGroundOption extends IOverlayOption {   image: ImageEntity;   bounds: [ LatLng, LatLng ];   anchorX?: number;   anchorY?: number;   transparency?: number; }         export interface ILabelOption extends IBaseMarkerOption {   text?: string;   fontcolorstr?: ColorString;   fontsize?: number;   bordercolorstr?: ColorString;   bordersize?: number;   fontType?: FontType | number;   bgcolorstr?: ColorString; }         export interface IPolygonOption extends IOverlayOption {   points: Array<LatLng>;   holePoints?: Array<LatLng> | Array<Array<LatLng>>;   fillcolor?: ColorString;   stroke?: Stroke;   thin?: boolean;   thinFactor?: number;   jointType?: LineJoinType;   isHoleClickable?: boolean; }         export interface IPolylineOption extends IOverlayOption {   points: Array<LatLng>;   width?: number;   fillcolor?: ColorString;   strokeWidth?: number;   strokeColor?: ColorString;   textures?: Array<ImageEntity>;           textureOption?: TextureOption;   join?: LineJoinType;   cap?: LineCapType;   startCapType?: LineCapType;   endCapType?: LineCapType;   isGeodesic?: boolean;   directionCross180?: LineDirectionCross;   isThined?: boolean;   thinFactor?: number;   smoothType?: SmoothType;   smoothFactor?: number;   dottedline?: boolean;   dottedlineType?: PolylineDottedLineType;   colorList?: Array<ColorString>;   indexList?: Array<number>;   isGradient?: boolean;   lineBloomType?: ELineBloomType;   lineBloomWidth?: number;   lineBloomAlpha?: number;   lineBloomGradientASPeed?: number;   lineBloomBlurTimes?: number; }         export interface IBaseMarkerOption extends IOverlayOption {   position?: LatLng;   anchorX?: number;   anchorY?: number;   located?: Located;   isPerspective?: boolean;   isDraggable?: boolean;   rotate?: number;   xOffset?: number;   yOffset?: number;   isFlat?: boolean;   isTop?: boolean;   isFixed?: boolean;   period?: number;   scaleX?: number;   scaleY?: number;   fixedScreenPosition?: Point;   priority?: number;   isJoinCollision?: CollisionBehavior;   popView?: PopView; }         export interface IMarkerOption extends IBaseMarkerOption {   icon?: ImageEntity;   icons?: Array<ImageEntity>;   delPreIconResource?: boolean;   color?: ColorString;   infoWindow?: InfoWindow;   animateType?: AnimateDefine; }         export interface IInfoWindow extends IOverlayOption {   position?: LatLng;   content?: ImageEntity;   anchorX?: number;   anchorY?: number;   isPerspective?: boolean;   rotate?: number;   yOffset?: number;   isFlat?: boolean; }         export interface ILocation {   latlng: LatLng;   direction: number; }         export interface IGetPoint {   mercator?: boolean; }         export type ISetCenter =   LatLng   | IGeoPoint;         export interface IViewportOption {   margins?: [ number, number, number, number ];   zoomFactor?: number;   isAnimate?: boolean;   animationTime?: number; }         export interface INinePatch {   scaleX: number[];   scaleY: number[];   fillArea: number[]; }         export interface INearOptions { left: number; top: number; nearlyRadius?: number; }         export interface IHandleBundle extends EventBundle { }         export interface IHandleOptions { model: symbol; target: IHandleBundle; }         export type TLayer = BaseLayer | CompassLayer | LocationLayer | OverlayLayer | Array<TileLayer>;         export type Nullable<T> = T | null | undefined;         export interface AnyObject { [propName: string | symbol]: any; }         export type AnyValue = number | string | Array<number | string> | boolean | undefined; export {}; 