import { LatLng, Bounds, Point } from '@bdmap/base'; import { LayerTag, OverlayType, MapStatusChangeReason } from "../util/x/y"; import BaseLayer from "./z/f1"; import MapStatus from "./k"; import MapOptions from "./j"; import OverlayMgr from "./l/f2"; import { FingerEvent, FingerEventHandle } from "./g2"; import BaseMap from "./k2"; import type { IGetPoint, ILocation, ISetCenter, IViewportOption, Nullable, TLayer, DeviceInfo } from "../c1/w1"; import type { Callback, EOverLayTypeName, EventOverlayBundle, MapEvent, TMapViewEvent, OverlayEvent, TMapListener, TMapOverlayListener } from "../c1/d1"; import type { IndoorFloorBundles, LayerAddrBundle, NativeContext } from "../c1/a2"; import type Overlay from "./l/l"; import type { TLayerMgr } from "../c1/e1"; import WinRound from "./n/h1"; import BmLayer from "./y1/m2"; import type BaseMarker from "./l/m4"; import type TileLayer from "./z/x1"; import { Context } from '@kit.AbilityKit'; import OnTouchListener from "../c1/v1";               declare const m1: unique symbol; declare const overlayLayer: unique symbol;             export default class Map { private _token; private [m1]; private [overlayLayer]; private infoWindowEvent; private scaleThrottling; private rotateThrottling; private lookThrottling; private moveThrottling; private mapviewListener; private touchIdle; private touchDebounce;         baseMap: BaseMap;         mapViewId: string;         filesDir: string;         cacheDir: string;         densityDPI: number;         dpiScale: number;         mapEventListener: TMapListener;         overLayEventListener: TMapOverlayListener;         overlayMgr: OverlayMgr;         fingerEventHandle: FingerEventHandle;         mBmLayer: BmLayer;             constructor(context: NativeContext, mapOptions: Nullable<MapOptions>, device: DeviceInfo);           get token(): Nullable<string>;           set token(val: Nullable<string>);             init(context: NativeContext, mapOptions: Nullable<MapOptions>, device: DeviceInfo): void;       touchChange(): void;             addEventListener(model: MapEvent, m7: Callback<TMapViewEvent>): void;             removeEventListener(model: MapEvent, k7: Callback<TMapViewEvent>): void;           addOverlay(overlay: Overlay | BaseMarker): void;           removeOverlay(overlay: Overlay | BaseMarker): void;             setViewport(points: Array<LatLng>, options?: IViewportOption): void;               getViewport(points: Array<LatLng> | Bounds, options?: IViewportOption): { center: Point | LatLng; ptOffset: Point; zoom: number; };               fitVisibleMapRect(bounds: Bounds, w6: WinRound, x6: boolean): void;                 setViewPadding(left: number, right: number, top: number, bottom: number): void;           setGeoRoundLimit(bounds: Bounds): void;                 _getBestLevel(bounds: Bounds, options: IViewportOption): number;           getZoomUnits(zoom: Nullable<number>): number;           removeOverlays(type?: OverlayType): void;           getLayers(): TLayerMgr;           getLayerByTag(tag: LayerTag): Nullable<TLayer>;         setLocation(f6: ILocation): void;           createLayerFactory(e6: LayerAddrBundle): void;         addTileLayer(layer: TileLayer): void;         removeTileLayer(layer: TileLayer): void;         switchLayer(v5: BaseLayer, w5: BaseLayer): void;         get mapOptions(): MapOptions;         set mapOptions(mapOptions: MapOptions);         set mapStatus(u5: MapStatus);         get mapStatus(): MapStatus; setOnTouchMessageListener(listener: OnTouchListener): void;         setAppAbility(s5: DeviceInfo): void;         constructorEvent(): void;               addOverlayEventListener(type: EOverLayTypeName, model: OverlayEvent, p5: Callback<EventOverlayBundle>): void;               removeOverlayEventListener(type: EOverLayTypeName, model: OverlayEvent, n5: Callback<EventOverlayBundle>): void;                 createOverlayEvent(type: EOverLayTypeName, model: OverlayEvent, j5: Callback<EventOverlayBundle>): { key: number; event: { [x: symbol]: Callback<EventOverlayBundle>; }; };               createEvent(model: string, i5: Function): { event: { [x: symbol]: Function; }; };               addInfoWindowEvent(model: string, h5: Function): any;               removeInfoWindowEvent(model: string, g5: Function): any;           mapSingleClick(e: FingerEvent): void;           mapDoubleClick(e: FingerEvent): void;           mapLongPressClick(e: FingerEvent): void;             mapSingleMove(e: FingerEvent, u4?: boolean): void;           mapSingleMoveStart(e: FingerEvent): void;           mapSingleMoveEnd(e: FingerEvent): void;           mapRotation(e: FingerEvent): void;           mapRotationStart(e: FingerEvent): void;           mapRotationEnd(e: FingerEvent): void;           mapDoubleMove(e: FingerEvent): void;           mapDoubleMoveStart(e: FingerEvent): void;           mapDoubleMoveEnd(e: FingerEvent): void;             mapPinchScale(e: FingerEvent, scale: number): void;             mapPinchScaleStart(e: FingerEvent): void;           mapPinchScaleEnd(e: FingerEvent): void;             moveCenterPositon(e: FingerEvent, m3: boolean): void;             transformPointPositionToLL(e: FingerEvent): { left: number; top: number; ll: LatLng; };           addInfoWindow(): void;           removeInfoWindow(): void;         get maxZoom(): number;         set maxZoom(zoom: number);           setMaxZoom(zoom: number): void;         get minZoom(): number;           set minZoom(zoom: number);           setMinZoom(zoom: number): void;               zoomTo(level: number, center: Nullable<LatLng>, screenOffset: Nullable<[ number, number ]>): any;             zoomInOne(center?: Nullable<LatLng>, screenOffset?: Nullable<[ number, number ]>): any;             zoomOutOne(center?: Nullable<LatLng>, screenOffset?: Nullable<[ number, number ]>): any;         getZoom(): number;                 setMapCenter(center: ISetCenter, zoom: Nullable<number>, i3?: boolean, j3?: number): void;                   setMapCenterWithOffset(center: ISetCenter, offset: Point, zoom: Nullable<number>, f3?: boolean, g3?: number): void;           getCenter(options?: Nullable<IGetPoint>): Point | LatLng;         getRotate(): number;         getPerPixelMc(): number;                   changeLocStatus(d3: boolean): void;         enableGesturesRotate(): void;         disableGesturesRotate(): void;         enableGesturesZoom(): void;         disableGesturesZoom(): void;         enableGesturesDrag(): void;         disableGesturesDrag(): void;         enableGesturesPich(): void;         disableGesturesPich(): void;             switchIndoorFloor(floor: string, uid: string): void;         getIndoorInfo(uid?: Nullable<string>): Nullable<IndoorFloorBundles>;               initCustomStyle(u2: string, callback: Callback<void>, overwrite?: boolean): void;           setCustomStyleEnable(enable: boolean): boolean;             pixel2bdll(left: number, top: number): Nullable<LatLng>;           bdll2pixel(t2: LatLng): Nullable<[ number, number ]>;         onceDraw(): void;       changeCrsUpdate(): void;       wgsll2bdll(r2: LatLng): Nullable<LatLng>;       wgsll2gcjll(q2: LatLng): Nullable<LatLng>;       gcjll2bdll(o2: LatLng): Nullable<LatLng>;       bdll2gcjll(n2: LatLng): Nullable<LatLng>;               _copyR2S(i2: string, path: string, callback: Callback<void>): void;                 _fileOpera(overwrite: boolean, f2: string, path: string, callback: Callback<void>): void;       _operaTag(tag: MapStatusChangeReason): void; refresh(): void; static copyCfgToSandBox(n1: Context): void; destroy(): void; } export {}; 